package com.vaskoz.spring3.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Controller
@RequestMapping("/projects/{projectId}/tasks")
public class TaskController {
    private static final Map<Integer, List<String>> tasks = new HashMap<Integer, List<String>>();

    @RequestMapping(method = RequestMethod.GET)
    public ModelAndView index(@PathVariable Integer projectId) {
        List<String> t = tasks.get(projectId);
        if (null == t) {
            t = new ArrayList<String>();
            tasks.put(projectId, t);
        }
        return new ModelAndView("tasks/index", "tasks", t);
    }

    @RequestMapping(value="/{id}", method = RequestMethod.GET)
    public ModelAndView show(@PathVariable Integer id) {
        return new ModelAndView("tasks/show", "task", "undefined");
    }

    @RequestMapping(value="/new", method = RequestMethod.GET)
    public ModelAndView newTask() {
        return new ModelAndView("tasks/new");
    }


}
