package com.vaskoz.spring3.domain;

import javax.persistence.*;
import java.util.Date;

@Entity
@Table(name="projects")
public class Project {
    private Long id;

    @Id 
    @GeneratedValue
    public Long getId() {
        return id;
    }

    private void setId(Long id) {
        this.id = id;
    }

    private String name;
    private String description;
    private Date dueDate;

    private Project() {} // for Hibernate

    public Project(String name, String description, Date dueDate) {
        this.name = name;
        this.description = description;
        this.dueDate = dueDate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getDueDate() {
        return dueDate;
    }

    public void setDueDate(Date dueDate) {
        this.dueDate = dueDate;
    }

    @Override
    public String toString() {
        return "ID is: " + getId() + ":" + getName() + ":" + getDescription() + ":" + getDueDate();
    }
}
