package com.vaskoz.spring3.service.impl;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.springframework.stereotype.Repository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.vaskoz.spring3.domain.Project;
import com.vaskoz.spring3.service.ProjectService;

@Service("projectService")
@Repository
@Transactional
public class ProjectServiceImpl implements ProjectService {

	@PersistenceContext
	private EntityManager em;
	
	public void setEntityManager(EntityManager em) {
		this.em = em;
	}
	
	@Transactional(readOnly = true)
	@SuppressWarnings("unchecked")
	public List<Project> getAllProjects() {
		return em.createQuery("from Project").getResultList();
	}

	@Transactional
	public Project findProjectById(Long id) {
		return em.find(Project.class, id);
	}

	@Transactional
	public Project createProject(Project project) {
		Project storedProject = em.merge(project);
		em.flush();
		return storedProject;
	}

}
